#include "CaptchaApp.h"

//(*AppHeaders
#include "CaptchaMain.h"
#include "CaptchaWindow.h"
#include "CannyEdgeDetector.h"
#include <wx/image.h>
//*)

IMPLEMENT_APP(CaptchaApp);

//*****************************************************************************/
//* Inicialização do programa e exibição da janela principal
//*****************************************************************************/
bool CaptchaApp::OnInit() {
    bool wxsOK = true;
    wxInitAllImageHandlers();
    CannyEdgeDetector *canny = CannyEdgeDetector::getInstance();
    canny->setParameters(1.0,180,200);
    if ( wxsOK ) {
        CaptchaWindow* captchaWindow = new CaptchaWindow(0, 0, wxPoint(100,100), wxSize(500,300));
        captchaWindow->Show(true);
    }
    return wxsOK;
}
