#ifndef PRUNING_H
#define PRUNING_H
#include "Image.h"
#include "Utility.h"
#include <boost/tuple/tuple.hpp>


class Pruning {
    public:
        void setImage(Image* img);
        void setImages(std::vector<Image*> images);
        std::vector<DistanceAndImage> run();
    protected:
    private:
        std::vector<Image*> images;
        Image* img;
};

#endif // PRUNING_H
