#include "ShapeContext.h"


//*****************************************************************************/
//* Contrutor.
//* Recebe o ponto a que o shape context esta associado.
//*****************************************************************************/
ShapeContext::ShapeContext(Point point) {
    this->point = point;
}

//*****************************************************************************/
//* Devolve o ponto a que o shape context esta associado.
//*****************************************************************************/
Point ShapeContext::getPoint() {
   return point;
}

//*****************************************************************************/
//* Devolve um indicador do bin em relaçao ao angulo fornecido
//*****************************************************************************/
int ShapeContext::angularBin(double angle) {
	return (floor(angle/30));
}

//*****************************************************************************/
//* Devolve um indicador do bin em relacao ao raio fornecido
//*****************************************************************************/
int ShapeContext::logRadialBin(double radius) {
	double logRadius;
	int bin;
	logRadius = log2(radius/initialRadius);
    bin = floor(logRadius);
    if (bin < 0)
        bin = 0;
    if (bin > 4)
        bin = 4;
	return (bin);
}
