#ifndef SHAPECONTEXT_H
#define SHAPECONTEXT_H
#include <vector>
#include "Point.h"
#include <wx/wx.h>
#define PI 3.141592653589793238462643
#define SAMPLE_SIZE 80
const double initialRadius = 0.125;

class ShapeContext {
    public:
        ShapeContext(Point point);
        virtual void compute(std::vector<Point> points, double median) = 0;
//        virtual wxBitmap toBitmap() = 0;
//        virtual void printString() = 0;
//        virtual wxBitmap image(int width, int height, std::vector<Point> seq, double median) = 0;
        //double get(int i, int j);
        //virtual Tangent get(int i, int j) = 0;
        Point getPoint();
        virtual double distance(ShapeContext *sc) = 0;
    protected:
        Point point;
        int angularBin(double angle);
        int logRadialBin(double radius);
};

#endif // SHAPECONTEXT_H
