#ifndef EZGIMPYSOLVER_H
#define EZGIMPYSOLVER_H
#include <iostream>
#include <vector>
#include <boost/tuple/tuple.hpp>
#include "Image.h"
#include "Utility.h"

using namespace boost;

class EZGimpySolver {
    public:
        void SetTrainingImages(std::vector<Image*> &trainingImages);
        void SetImage(Image *img);
        std::vector<DistanceAndLetter> getTuples(std::vector<Point> LETTERS[26], char c);
        std::vector< tuple<double,std::string> > solve(std::vector<std::string> words);
        std::vector<std::string> getWordslist(std::vector<DistanceAndLetter> distances, std::vector<std::string> words);
    protected:
    private:
        std::vector<Image*> trainingImages;
        Image *img;
};

#endif // EZGIMPYSOLVER_H
