#ifndef SHAPECONTEXTWINDOW_H
#define SHAPECONTEXTWINDOW_H

//(*Headers(ShapeContextWindow)
#include <wx/sizer.h>
#include <wx/panel.h>
#include <wx/frame.h>
#include <wx/statbmp.h>
#include <wx/listbox.h>
//*)
#include <vector>
#include "Point.h"

class ShapeContextWindow: public wxFrame
{
	public:

		ShapeContextWindow(wxWindow* parent,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~ShapeContextWindow();

		//(*Declarations(ShapeContextWindow)
		wxBoxSizer* BoxSizer3;
		wxStaticBitmap* bitmapSC;
		wxPanel* ShapeContextPanel;
		wxStaticBitmap* bitmapSC_Points;
		wxListBox* PointsList;
		wxBoxSizer* BoxSizer4;
		wxStaticBoxSizer* StaticBoxSizer1;
		//*)

	protected:

		//(*Identifiers(ShapeContextWindow)
		static const long ID_LISTBOX1;
		static const long ID_STATICBITMAP4;
		static const long ID_STATICBITMAP3;
		static const long ID_PANEL3;
		//*)

	private:

		//(*Handlers(ShapeContextWindow)
		void OnPointsListSelect(wxCommandEvent& event);
		//*)
		std::vector<Point> pts;

		DECLARE_EVENT_TABLE()
};

#endif
