#ifndef TPS_H
#define TPS_H
#include "Point.h"
#include <boost/numeric/ublas/vector.hpp>
#include <boost/numeric/ublas/matrix.hpp>
using namespace boost::numeric::ublas;

class TPS
{
    public:
        TPS();
        virtual ~TPS();
        long double compute (vector<Point>controlPointsP,vector<Point>controlPointsQ, double median_);
        std::vector<Point> mapPoints(std::vector<Point> points);
    protected:
    private:
        long double tpsBasicFunction (long double x);
        matrix<long double> C;
        vector<Point>controlPoints;
};

#endif // TPS_H
